Config
Retrieve on-demand Assistant tool, skill, and plugin activity for the selected UTC period.
Retrieve on-demand Assistant tool, skill, and plugin activity for the selected UTC period. The request enforces instance administration policy.
GET
/
api
/
v1
/
config
/
instance
/
usage
/
activity
Retrieve on-demand Assistant tool, skill, and plugin activity for the selected UTC period.
curl --request GET \
--url https://api.revoengine.com/api/v1/config/instance/usage/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/config/instance/usage/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance/usage/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"tools": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
],
"skills": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
],
"plugins": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
]
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
Inclusive lower UTC timestamp for usage analytics. Defaults to the start of the current UTC month.
Example:
"2026-08-01T00:00:00.000Z"
Exclusive upper UTC timestamp for usage analytics. Defaults to the current time.
Example:
"2026-09-01T00:00:00.000Z"
⌘I
Retrieve on-demand Assistant tool, skill, and plugin activity for the selected UTC period.
curl --request GET \
--url https://api.revoengine.com/api/v1/config/instance/usage/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/config/instance/usage/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance/usage/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"tools": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
],
"skills": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
],
"plugins": [
{
"id": "ref_describe",
"name": "ref_describe",
"calls": 42,
"loads": 12,
"failures": 2,
"threads": 18,
"description": "<string>",
"pluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iconUrl": "<string>",
"refToken": "<string>",
"averageDurationMs": 375
}
]
}
